> ## Documentation Index
> Fetch the complete documentation index at: https://vastai-80aa3a82-ltxv2-serverless.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# list network-volume

> Lists a network disk for rent as network volumes, or updates an existing listing with a new price/size/end date/discount.

CLI Usage: `vastai list network-volume <disk_id> [options]`



## OpenAPI

````yaml /api-reference/openapi.json post /api/v0/network_volume/
openapi: 3.1.0
info:
  title: Vast.ai API
  description: >-
    Welcome to Vast.ai 's API documentation. Our API allows you to
    programmatically manage GPU instances, handle machine operations, and
    automate your AI/ML workflow. Whether you're running individual GPU
    instances or managing a fleet of machines, our API provides comprehensive
    control over all Vast.ai  platform features.
  version: 1.0.0
  contact:
    name: Vast.ai Support
    url: https://discord.gg/vast
servers:
  - url: https://console.vast.ai
    description: Production server
security:
  - BearerAuth: []
paths:
  /api/v0/network_volume/:
    post:
      tags:
        - Network Volumes
      summary: list network-volume
      description: >-
        Lists a network disk for rent as network volumes, or updates an existing
        listing with a new price/size/end date/discount.


        CLI Usage: `vastai list network-volume <disk_id> [options]`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - disk_id
              properties:
                price_disk:
                  type: number
                  format: float
                  description: Price per GB of network volume storage
                disk_id:
                  type: integer
                  description: ID of network disk for which offer is being created
                size:
                  type: integer
                  description: Size in GB of the amount of space available to be rented
                credit_discount_max:
                  type: number
                  format: float
                  description: Maximum discount rate allowed for prepaid credits
                end_date:
                  type: number
                  format: float
                  description: Unix timestamp for when the listing expires
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  msg:
                    type: string
                    description: status message
                example:
                  success: true
                  disk_id: created network volume ask with id 6 and size 24
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: invalid_args
                  msg:
                    type: string
                    example: Invalid disk_id
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: not_authorized
                  msg:
                    type: string
                    example: Could not find network disk with id 6 associated with user
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key must be provided in the Authorization header

````